# PrivateKeyFileResource (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.password
Class PrivateKeyFileResource

    java.lang.Object
      net.schmizz.sshj.userauth.password.Resource<File>
          net.schmizz.sshj.userauth.password.PrivateKeyFileResource

    public class PrivateKeyFileResource

extends Resource<File>

Constructor Summary
`PrivateKeyFileResource(File privateKeyFile)`

Method Summary

Methods inherited from class net.schmizz.sshj.userauth.password.Resource
`equals, getDetail, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrivateKeyFileResource

    public PrivateKeyFileResource(File privateKeyFile)

Copyright © 2009-2011. All Rights Reserved.